Get list portal policies.
curl --request GET \
--url https://{tenant}/api/portal/policies \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}/api/portal/policies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}/api/portal/policies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Data": [
{
"_id": "363635373039383964393864643030303031646131376631",
"access_rights": {
"8ddd91f3cda9453442c477b06c4e2da4": {
"allowance_scope": "",
"allowed_types": [],
"allowed_urls": [
{
"methods": [
"GET"
],
"url": "/users"
}
],
"api_id": "8ddd91f3cda9453442c477b06c4e2da4",
"api_name": "Itachi API",
"disable_introspection": false,
"field_access_rights": [],
"limit": {
"max_query_depth": 0,
"per": 0,
"quota_max": 0,
"quota_remaining": 0,
"quota_renewal_rate": 0,
"quota_renews": 0,
"rate": 0,
"set_by_policy": false,
"smoothing": {
"delay": 30,
"enabled": false,
"step": 100,
"threshold": 500,
"trigger": 0.8
},
"throttle_interval": 0,
"throttle_retry_limit": 0
},
"restricted_types": [],
"versions": [
"Default"
]
}
},
"active": true,
"date_created": "2024-05-27T10:24:31.099Z",
"hmac_enabled": false,
"id": "",
"is_inactive": false,
"key_expires_in": 2592000,
"last_updated": "1716980105",
"max_query_depth": -1,
"meta_data": {
"user_type": "mobile_user"
},
"name": "Sample policy",
"org_id": "664a14650619d40001f1f00f",
"partitions": {
"acl": true,
"complexity": false,
"per_api": false,
"quota": true,
"rate_limit": true
},
"per": 60,
"quota_max": 10000,
"quota_renewal_rate": 3600,
"rate": 1000,
"smoothing": {
"delay": 30,
"enabled": false,
"step": 100,
"threshold": 500,
"trigger": 0.8
},
"tags": [
"security"
],
"throttle_interval": 10,
"throttle_retry_limit": 10
}
],
"Pages": 1
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "access denied: You do not have permission to access /api/portal/policies",
"Meta": null,
"Status": "Error"
}{
"Message": "Could not retrieve object list.",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to marshal data.",
"Meta": null,
"Status": "Error"
}Policies
Get list portal policies.
Get list of policies. The result returned are paginated. Use the p query parameter to say which page you want returned. The default pagesize of the results is 10 but this can be changed in the dashboard config.
GET
/
api
/
portal
/
policies
Get list portal policies.
Authorizations
The Tyk Dashboard API Access Credentials
Query Parameters
Use p query parameter to say which page you want returned. Send number less than 0 to return all items.
Send any value in this query parameter to return only the active policies.
Was this page helpful?
⌘I